
using System;
using System.Collections.Generic;

namespace Ato.EN.IntegrationServices.CodeGenerationTFND
{
    public class TFND2019
    {

    public bool IntCollectionExists = false;
    public int IntCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:INT
    /// TFND:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
    /// </summary>
    public string TFND117 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT
    /// TFND:pyid.02.00:Identifiers.TaxAgentNumber.Identifier
    /// </summary>
    public string TFND116 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT
    /// TFND:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
    /// </summary>
    public string TFND6 = null;

    public bool InT_AddressDetailsBusinessCollectionExists = false;
    public int InT_AddressDetailsBusinessCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:AddressDetailsBusiness
    /// TFND:pyde.02.00:AddressDetails.Line1.Text
    /// </summary>
    public string TFND10 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:AddressDetailsBusiness
    /// TFND:pyde.02.00:AddressDetails.Line2.Text
    /// </summary>
    public string TFND11 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:AddressDetailsBusiness
    /// TFND:pyde.02.00:AddressDetails.LocalityName.Text
    /// </summary>
    public string TFND12 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:AddressDetailsBusiness
    /// TFND:pyde.02.00:AddressDetails.Postcode.Text
    /// </summary>
    public string TFND14 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:AddressDetailsBusiness
    /// TFND:pyde.02.00:AddressDetails.StateOrTerritory.Code
    /// </summary>
    public string TFND19 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:AddressDetailsBusiness
    /// TFND:pyde.02.08:AddressDetails.Country.Code
    /// </summary>
    public string TFND75 = null;

    public bool InT_ElectronicContactCollectionExists = false;
    public int InT_ElectronicContactCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:ElectronicContact
    /// TFND:pyde.02.00:PersonUnstructuredName.FullName.Text
    /// </summary>
    public string TFND7 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:ElectronicContact
    /// TFND:pyde.02.00:ElectronicContact.Telephone.Area.Code
    /// </summary>
    public string TFND64 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:ElectronicContact
    /// TFND:pyde.02.00:ElectronicContact.Telephone.Minimal.Number
    /// </summary>
    public string TFND8 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:ElectronicContact
    /// TFND:pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
    /// </summary>
    public string TFND22 = null;

    public bool InT_DeclarationCollectionExists = false;
    public int InT_DeclarationCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:Declaration
    /// TFND:pyin.02.28:Declaration.StatementAccepted.Indicator
    /// </summary>
    public bool? TFND130 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:Declaration
    /// TFND:pyin.02.29:Declaration.Signature.Date
    /// </summary>
    public DateTime? TFND131 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:Declaration
    /// TFND:pyin.02.00:Declaration.SignatoryIdentifier.Text
    /// </summary>
    public string TFND132 = null;

    public bool RpCollectionExists = false;
    public int RpCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// TFND:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
    /// </summary>
    public string TFND118 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// TFND:pyid.02.00:Identifiers.WithholdingPayerNumber.Identifier
    /// </summary>
    public string TFND261 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// TFND:pyde.02.00:OrganisationDetails.OrganisationBranch.Code
    /// </summary>
    public string TFND125 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// TFND:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
    /// </summary>
    public string TFND27 = null;

    public bool RP_AddressDetailsBusinessCollectionExists = false;
    public int RP_AddressDetailsBusinessCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:AddressDetailsBusiness
    /// TFND:pyde.02.00:AddressDetails.Line1.Text
    /// </summary>
    public string TFND29 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:AddressDetailsBusiness
    /// TFND:pyde.02.00:AddressDetails.Line2.Text
    /// </summary>
    public string TFND30 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:AddressDetailsBusiness
    /// TFND:pyde.02.00:AddressDetails.LocalityName.Text
    /// </summary>
    public string TFND31 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:AddressDetailsBusiness
    /// TFND:pyde.02.00:AddressDetails.Postcode.Text
    /// </summary>
    public string TFND33 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:AddressDetailsBusiness
    /// TFND:pyde.02.00:AddressDetails.StateOrTerritory.Code
    /// </summary>
    public string TFND32 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:AddressDetailsBusiness
    /// TFND:pyde.02.08:AddressDetails.Country.Code
    /// </summary>
    public string TFND79 = null;

    public bool RP_ElectronicContactCollectionExists = false;
    public int RP_ElectronicContactCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:ElectronicContact
    /// TFND:pyde.02.00:PersonUnstructuredName.FullName.Text
    /// </summary>
    public string TFND35 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:ElectronicContact
    /// TFND:pyde.02.00:ElectronicContact.Telephone.Area.Code
    /// </summary>
    public string TFND68 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:ElectronicContact
    /// TFND:pyde.02.00:ElectronicContact.Telephone.Minimal.Number
    /// </summary>
    public string TFND36 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:ElectronicContact
    /// TFND:pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
    /// </summary>
    public string TFND126 = null;

    public bool RP_DeclarationCollectionExists = false;
    public int RP_DeclarationCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Declaration
    /// TFND:pyin.02.28:Declaration.StatementAccepted.Indicator
    /// </summary>
    public bool? TFND112 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Declaration
    /// TFND:pyin.02.29:Declaration.Signature.Date
    /// </summary>
    public DateTime? TFND110 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Declaration
    /// TFND:pyin.02.00:Declaration.SignatoryIdentifier.Text
    /// </summary>
    public string TFND114 = null;

    public bool PayeeCollectionExists = false;
    public int PayeeCollectionCount = 0;

    public bool Payee_IdentifiersCollectionExists = false;
    public int Payee_IdentifiersCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:Identifiers
    /// TFND:pyid.02.00:Identifiers.TaxFileNumber.Identifier
    /// </summary>
    public string TFND38 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:Identifiers
    /// TFND:pyid.02.00:IdentificationExemptionDetails.TFNExemptionType.Code
    /// </summary>
    public string TFND89 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:Identifiers
    /// TFND:pyid.02.05:Identifiers.EmploymentPayrollNumber.Identifier
    /// </summary>
    public string TFND53 = null;

    public bool Payee_PersonNameDetailsCurrentCollectionExists = false;
    public int Payee_PersonNameDetailsCurrentCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:PersonNameDetailsCurrent
    /// TFND:pyde.02.00:PersonNameDetails.FamilyName.Text
    /// </summary>
    public string TFND39 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:PersonNameDetailsCurrent
    /// TFND:pyde.02.00:PersonNameDetails.GivenName.Text
    /// </summary>
    public string TFND40 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:PersonNameDetailsCurrent
    /// TFND:pyde.02.00:PersonNameDetails.OtherGivenName.Text
    /// </summary>
    public string TFND41 = null;

    public bool Payee_PreviousCollectionExists = false;
    public int Payee_PreviousCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:Previous
    /// TFND:pyde.02.00:PersonNameDetails.FamilyName.Text
    /// </summary>
    public string TFND42 = null;

    public bool Payee_EmailAddressCollectionExists = false;
    public int Payee_EmailAddressCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:EmailAddress
    /// TFND:pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text
    /// </summary>
    public string TFND271 = null;

    public bool Payee_PersonDemographicDetailsCollectionExists = false;
    public int Payee_PersonDemographicDetailsCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:PersonDemographicDetails
    /// TFND:pyde.02.12:PersonDemographicDetails.Birth.DayofMonth
    /// </summary>
    public int? TFND119 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:PersonDemographicDetails
    /// TFND:pyde.02.12:PersonDemographicDetails.Birth.Month
    /// </summary>
    public int? TFND220 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:PersonDemographicDetails
    /// TFND:pyde.02.12:PersonDemographicDetails.Birth.Year
    /// </summary>
    public int? TFND221 = null;

    public bool Payee_AddressDetailsResidentialCollectionExists = false;
    public int Payee_AddressDetailsResidentialCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:AddressDetailsResidential
    /// TFND:pyde.02.00:AddressDetails.Line1.Text
    /// </summary>
    public string TFND46 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:AddressDetailsResidential
    /// TFND:pyde.02.00:AddressDetails.Line2.Text
    /// </summary>
    public string TFND47 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:AddressDetailsResidential
    /// TFND:pyde.02.00:AddressDetails.LocalityName.Text
    /// </summary>
    public string TFND48 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:AddressDetailsResidential
    /// TFND:pyde.02.00:AddressDetails.Postcode.Text
    /// </summary>
    public string TFND50 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:AddressDetailsResidential
    /// TFND:pyde.02.00:AddressDetails.StateOrTerritory.Code
    /// </summary>
    public string TFND49 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:AddressDetailsResidential
    /// TFND:pyde.02.08:AddressDetails.Country.Code
    /// </summary>
    public string TFND83 = null;

    public bool Payee_PaymentArrangementCollectionExists = false;
    public int Payee_PaymentArrangementCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:PaymentArrangement
    /// TFND:pylk.02.00:PaymentArrangement.Termination.Code
    /// </summary>
    public string TFND54 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:PaymentArrangement
    /// TFND:pyde.02.36:Residency.TaxPurposesPersonStatus.Code
    /// </summary>
    public string TFND52 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:PaymentArrangement
    /// TFND:pylk.02.00:PaymentArrangement.PaymentBasis.Code
    /// </summary>
    public string TFND55 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:PaymentArrangement
    /// TFND:gfati.02.00:TaxOffsetClaim.TaxFreeThreshold.Indicator
    /// </summary>
    public bool? TFND56 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:PaymentArrangement
    /// TFND:rvctc2.02.xx:IncomeTax.PayAsYouGoWithholding.StudyAndTrainingLoanRepayment.Indicator
    /// </summary>
    public bool? TFND256 = null;

    public bool Payee_DeclarationHardCopyCollectionExists = false;
    public int Payee_DeclarationHardCopyCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:DeclarationHardCopy
    /// TFND:pyin.02.28:Declaration.StatementAccepted.Indicator
    /// </summary>
    public bool? TFND111 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:DeclarationHardCopy
    /// TFND:pyin.02.29:Declaration.Signature.Date
    /// </summary>
    public DateTime? TFND62 = null;

    }
}
